Lists.Appender (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class Lists.Appender

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.Lists.Appender

- Enclosing class:
    Lists

      public static class Lists.Appender
      extends Operation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

      `Operation.Addition, Operation.ColumnDeletion, Operation.ElementDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetValue, Operation.Substraction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.Operation

      `column, t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Appender(ColumnDefinition column, Term t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(java.nio.ByteBuffer rowKey, ColumnFamily cf, Composite prefix, UpdateParameters params)` Execute the operation.

    - ### Methods inherited from class org.apache.cassandra.cql3.Operation

      `collectMarkerSpecification, getFunctions, requiresRead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Appender

          public Appender(ColumnDefinition column,
                          Term t)

  - ### Method Detail

    - #### execute

          public void execute(java.nio.ByteBuffer rowKey,
                              ColumnFamily cf,
                              Composite prefix,
                              UpdateParameters params)
                       throws InvalidRequestException

      Description copied from class: `Operation`
      Execute the operation.
      Specified by:
        `execute` in class `Operation`
      Parameters:
        `rowKey` - row key for the update.
        `cf` - the column family to which to add the updates generated by this operation.
        `prefix` - the prefix that identify the CQL3 row this operation applies to.
        `params` - parameters of the update.
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation